Subject: bug#79079: 31.0.50; Piped command output is sometimes lost in Eshell

From: Jim Porter <[email-masked]>
Date: Fri, 25 Jul 2025 10:16:19 -0700

On 7/24/2025 11:42 PM, Eli Zaretskii wrote:
> Why do we need to emit a message about EPIPE, when we will immediately
> signal an error with the same information?  The message will not be
> seen by users except if they look in *Messages*.

It's just a debug statement for development/testing so that it's clear 
when Emacs runs this block. Since this is a timing-related issue, it's 
hard to guarantee that we hit this condition. While I'm working on this, 
I can then check *Messages* to be sure my new code ran and did the right 
thing.

I'll remove the Fmessage call before merging.